<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="UTF-8">
    <title>Admin panel</title>
    <!--    Bootstrap css    -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <!--    Bootstrap icons    -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.8.1/font/bootstrap-icons.css">
</head>
<body>

<nav class="navbar navbar-expand-lg navbar navbar-dark bg-dark">
    <a title="nav" class="navbar-brand studentsystem-text" th:href="@{/}" href="index.html">Student System</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
        <ul class="navbar-nav mr-auto">
            <li class="nav-item">
                <a title="courses" class="nav-link" th:href="@{/courses}" href="courses.html"
                   sec:authorize="hasRole('USER')">Courses</a>
            </li>
            <li class="nav-item">
                <a title="admin" class="nav-link" th:href="@{/admin}" href="admin.html"
                   sec:authorize="hasRole('ADMIN')">Admin</a></li>
            <li>
        </ul>
        <div class="nav-item">
            <a title="login" class="nav-link" style="color: white" th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">Login</a>
        </div>
        <form id="myform" style="cursor: pointer; color: white" th:action="@{/logout}" sec:authorize="isAuthenticated()"
              method="post">
            <i class="bi bi-box-arrow-right"></i>
            <a onclick="document.getElementById('myform').submit()"> Logout</a>
        </form>
    </div>
</nav>
<br><br><br>
<div class="container justify-content-center col-6">
<h1 class="d-flex justify-content-center">Welcome to the Admin panel</h1>
<div class="d-flex flex-col flex-wrap align-items-center justify-content-center m-5">
    <a th:href="@{'/admin/teachers'}"
       sec:authorize="hasRole('ADMIN')" class="btn btn-primary m-auto">List all Teachers</a>
    <a th:href="@{'/admin/courses'}"
       sec:authorize="hasRole('ADMIN')" class="btn btn-primary m-auto">List all Courses</a>
    <a th:href="@{'/admin/students'}"
       sec:authorize="hasRole('ADMIN')" class="btn btn-primary m-auto">List all Students</a>
</div>
</div>
</body>
</html>